Subject: Common Parameter usage

From: Alex Audu <[email-masked]>
Date: Wed, 7 Mar 2001 10:27:04 -0600 (CST)

Hi Joyce and Greg,

My understanding was tag values ought to be unique only to data types being
defined by the parameters,..and should NOT be tied to any particular 
application. In other words, tag value for integer type should be the same for
IUA, M2UA,.. etc.

Reagards,
Alex.

> From: Joyce Archibald <[email-masked]>
> To: "Greg Sidebottom" <[email-masked]>
> Subject: Common Parameter usage
 
> Hi Greg,
> 
> I would certainly like the Tag values to be unique across all the
> adaption layers, since this makes it possible to implement a common
> library of routines for protocol analysis. However I realise this is
> probably not possible this close to "last call".
> 
> It would help if all the UA protocol specs could structure the Protocol
> Elements section like the SUA spec. i.e.
>     3. Protocol Elements
>     3.1 Common Message Header
>     3.x Message definitions
>     3.y Common Parameters
>     3.z Protocol-specific Parameters
> 
> This makes the spec much easier to use as a reference document and is
> also easier to maintain.
> 
> At the start of section 3.8 SUA has a table of "Common Parameter" Tag
> values, it would be good if these were in fact used by all Adaption
> layers. 
> 
> SUA uses Tag values beginning at 0x0100 for its protocol specific
> parameters, again it would be good if other UA protocols could use their
> own ranges. Perhaps, M2UA could use Tag values beginning at 0x0200 and
> M3UA Tag values beginning at 0x0300 and so on.
> 
> Cheers,
> 
> Joyce
> 
> 
> Greg Sidebottom wrote:
> 
> Hi Joyce,
> 
> Yes you are absolutely right, the two Protocol Data parameters must have
> separate tags - M3UA.06 does use Tags "2" and "3" but somehow I missed
> showing that in the Figure.  I can fix that in Issue 7 or use your text
> proposal instead - whatever the group would like to see is fine by me. 
> The
> M3UA already has assignments for Tags "0xe" and "0xf" but Ken and I (and
> other editors) can look at the Tags across all the adaptation layers to
> see
> what can be lined up.
> 
> As for the Network Appearance, it was there first before the Interface
> Identifier so it is the rightful No. 1!!
> 
> Seriously .. is it your view that the Tag values should be unique across
> all
> the adaptation layers, or is it OK to re-use Tag value assignments
> within an
> adaptation layer as long as they are unique within each specific
> adaptation
> layer.  (For example the Network Appearance in M3UA/IUA does not apply
> to
> the IUA/M2UA so the Tag assignment "1" is used in IUA/M2UA for Interface
> Id).  The latter is the approach taken so far but we can change this if
> the
> group desires.  I imagine there is no danger of running out of Tag
> values!
> 
> Cheers,
> 
>     Greg
>  -----Original Message-----
> From:   Joyce Archibald [mailto:[email-masked]] 
> Sent:   Tuesday, March 06, 2001 3:52 AM
> To:     Sidebottom, Greg [BCNR:7M01:EXCH]
> Cc:     [email-masked]
> Subject:        Re: M2UA: Parameter usage
> 
> Hi Greg,
> 
> The format you have proposed for M3UA will not work because both types
> of Protocol Data parameter use Tag 3. It is essential that different
> Tags are used so that we can distinguish the different formats. 
> 
> May I suggest that you use 
>   Tag = 0xe for Protocol Data 1 and 
>   Tag = 0xf for Protocol Data 2
> thus using common tags for parameters across the UA protocols.
> 
> Would it also be possible to change the Network Appearance Tag to a
> different value, since Tag 0x1 is used by M2UA and IUA for Interface Id.
> 
> Cheers,
> 
> Joyce
>

---

From: [email-masked]
Date: Wed, 7 Mar 2001 21:57:39 +0200

Hi Alex & Joyce,

> My understanding was tag values ought to be unique only to 
> data types being defined by the parameters,..and should NOT 
> be tied to any particular application. In other words, tag 
> value for integer type should be the same for IUA, M2UA,.. etc.

I support all efforts for aligning all of the tag & message values
of all of the UAs.  I think that there will always be UA specific
tags & we should make sure that these don't overlap.

best regards,
John